Subject: Re: [GSoC][PATCH] t: port helper/test-oid-array.c to unit-tests/t-oid-array.c

From: "Ghanshyam Thakkar" <[email-masked]>
Date: Sat, 03 Aug 2024 19:01:45 +0530

Hi Phillip,

Phillip Wood <[email-masked]> wrote:
> On 03/07/2024 04:46, Ghanshyam Thakkar wrote:
> > Note: Once 'rs/unit-tests-test-run' is merged to atleast next, I plan to
> > replace these internal function used in TEST_LOOKUP() with TEST_RUN().
>
> Nice idea

I think the consensus on the 'TEST_RUN()' (which is now 'if_test()')
would take a bit more time and since the v2 removes the use of
internal functions anyways, I think we should not have to wait for
'if_test()' anymore (other things like declaring input varibles inside
the 'if_test()' block can be addressed as an incremental patch once
'if_test()' gets merged). And I've addressed all your other review
points in v2 as well.

Link to v2: https://lore.kernel.org/git/[email-masked]/

Thanks.